﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LiquidacionGastos.Models
{
    public class CambioMoneda
    {
        public System.Guid IdCambioMoneda { get; set; }

        public System.DateTime FechaCambio { get; set; }

        public decimal ValorCambio { get; set; }

        public int IdMoneda { get; set; }        
        private Moneda _Moneda;
        public Moneda Moneda
        {
            get { return _Moneda; }
            set
            {
                _Moneda = value;

                if (_Moneda != null)
                    IdMoneda = _Moneda.IdMoneda;
            }
        }
        
        // Gastos asociados a este cambio.
        public ICollection<Gasto> Gastos { get; set; }
    }
}
