using System.ComponentModel.DataAnnotations.Schema;
using System.Data.Entity.ModelConfiguration;

namespace LiquidacionGastos.Models.Mapping
{
    public class TipoGastoMap : EntityTypeConfiguration<TipoGasto>
    {
        public TipoGastoMap()
        {
            // Primary Key
            this.HasKey(t => t.IdTipoGasto);

            // Properties
            this.Property(t => t.IdTipoGasto)
                .HasDatabaseGeneratedOption(DatabaseGeneratedOption.None);

            // Table & Column Mappings
            this.ToTable("TiposGasto");
            this.Property(t => t.IdTipoGasto).HasColumnName("IdTipoGasto");
            this.Property(t => t.Nombre).HasColumnName("NombreTipoGasto");
        }
    }
}
