using System;
using System.Collections.Generic;

namespace LiquidacionGastos.Models
{
    public partial class Notificacion
    {
        // Identificador interno de notificacin.
        public System.Guid IdNotificacion { get; set; }

        // Fecha y hora en la que se produce la notificacin.
        public System.DateTime FechaNotificacion { get; set; }

        // Indicador que informa si ya se ha realizado la notificacin o no.
        public bool EstaNotificado { get; set; }

        // Cambio de estado de liquidacin con la que se asocia esta notifiacin.
        public System.Guid IdCambioEstadoLiquidacion { get; set; }
        private CambioEstadoLiquidacion _CambioEstadoLiquidacion;
        public CambioEstadoLiquidacion CambioEstadoLiquidacion
        {
            get { return _CambioEstadoLiquidacion; }
            set
            {
                _CambioEstadoLiquidacion = value;

                if (_CambioEstadoLiquidacion != null)
                    IdCambioEstadoLiquidacion = _CambioEstadoLiquidacion.IdCambioEstadoLiquidacion;
            }
        }        
    }
}
