﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LiquidacionGastos.Models
{
    public class TrackingEntry
    {
        public enum EntidadType
        {
            Indefinida = 0,
            Calendario = 1,
            Departamento = 2,
            Moneda = 3,
            TipoGasto = 4,
            EstadoLiquidacion = 5,
            Usuario = 6,
            CambioMoneda = 7,
            Liquidacion = 8,
            Gasto = 9,
            CambioEstadoLiquidacion = 10,
            Notificacion = 11
        }

        public enum OperacionType
        {
            Indefinida = 0,
            Insercion = 1,
            Actualizacion = 2,
            Borrado = 3
        }

        public TrackingEntry()
        {
        }

        public Guid IdTracking { get; set; }
        public System.DateTime Fecha { get; set; }
        public Nullable<System.Guid> Guid { get; set; }
        public Nullable<int> Id { get; set; }
        public int Entidad { get; set; }
        public int Operacion { get; set; }
    }
}
