﻿using LiquidacionGastos.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Principal;
using System.Text;
using System.Threading.Tasks;

namespace LiquidacionGastos.Security
{
    public class UsuarioPrincipal : GenericPrincipal, IUsuarioPrincipal
    {
        public Usuario Usuario { get; private set; }

        public UsuarioPrincipal(Usuario usuario, IIdentity identity, string[] roles) : base(identity, roles)
        {
            this.Usuario = usuario;
        }
    }
}
