﻿using LiquidacionGastos.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace LiquidacionGastos.Services
{
    public static class ApplicationServices
    {
        /*
        
        private static MainViewModel _MainViewModel;

        public static MainViewModel MainViewModel 
        { 
            get {
                if (_MainViewModel == null)
                    _MainViewModel = new MainViewModel();

                return _MainViewModel; 
            } 
        }
        */

        private static NavigationService _NavigationService;
        public static NavigationService NavigationService
        {
            get
            {
                if (_NavigationService == null)
                    _NavigationService = new NavigationService();

                return _NavigationService;
            }
        }

        public static Application Application
        {
            get
            {
                return App.Current;
            }
        }

        private static ApplicationStateService _StateService;
        public static ApplicationStateService StateService
        {
            get
            {
                if (_StateService == null)
                    _StateService = new ApplicationStateService();

                return _StateService;
            }
        }

        private static AuthenticationService _AuthenticationService;
        public static AuthenticationService AuthenticationService
        {
            get
            {
                if (_AuthenticationService == null)
                    _AuthenticationService = new AuthenticationService();

                return _AuthenticationService;
            }
        }
    }
}
