﻿using LiquidacionGastos.Security;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Principal;
using System.Text;
using System.Threading;
using System.Threading.Tasks;

namespace LiquidacionGastos.Services
{
    public class AuthorizationService : IAuthorizationService
    {
        public IPrincipal Principal
        {
            get { return Thread.CurrentPrincipal; }
        }

        public IUsuarioPrincipal UsuarioPrincipal
        {
            get { return Thread.CurrentPrincipal as IUsuarioPrincipal; }
        }

        public bool AuthorizeCurrentUser(UsuarioRoles role)
        {
            return this.Principal.IsInRole(role.ToString());
        }
    }
}
