using System.ComponentModel.DataAnnotations.Schema;
using System.Data.Entity.ModelConfiguration;

namespace LiquidacionGastos.Models.Mapping
{
    public class EstadoLiquidacionMap : EntityTypeConfiguration<EstadoLiquidacion>
    {
        public EstadoLiquidacionMap()
        {
            // Primary Key
            this.HasKey(t => t.IdEstadoLiquidacion);

            // Properties
            this.Property(t => t.IdEstadoLiquidacion)
                .HasDatabaseGeneratedOption(DatabaseGeneratedOption.None);

            // Table & Column Mappings
            this.ToTable("EstadosLiquidacion");
            this.Property(t => t.IdEstadoLiquidacion).HasColumnName("IdEstadoLiquidacion");
            this.Property(t => t.Nombre).HasColumnName("NombreEstadoLiquidacion");
        }
    }
}
