﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LiquidacionGastos.Models
{
    public class Moneda
    {
        // Identificador interno de la moneda.
        public int IdMoneda { get; set; }

        // Nombre de la moneda
        public string Nombre { get; set; }

        // Codigo ISO 4217 de la moneda
        public string Codigo { get; set; }

        // Cambios asociados a esta moneda
        public ICollection<CambioMoneda> CambiosMoneda { get; set; }
    }
}
