using System;
using System.Collections.Generic;

namespace LiquidacionGastos.Models
{
    public partial class TipoGasto
    {
        public TipoGasto()
        {
            this.Gastos = new List<Gasto>();
        }

        // Identificador interno del tipo de gasto.
        public int IdTipoGasto { get; set; }

        // Nombre del tipo de gasto.
        public string Nombre { get; set; }

        // Gastos asociados a este tipo de gasto.
        public ICollection<Gasto> Gastos { get; set; }
    }
}
