﻿using LiquidacionGastos.Framework;
using LiquidacionGastos.Services;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LiquidacionGastos.ViewModels
{
    public class OpcionesViewModel : ViewModel
    {        
        private bool _IsEnabledReconexionAutomatica;
        public bool IsEnabledReconexionAutomatica { get { return _IsEnabledReconexionAutomatica; } set { _IsEnabledReconexionAutomatica = value; OnPropertyChanged(); } }
        
        public RelayCommand CancelCommand { get; set; }
        public RelayCommand SaveCommand { get; set; }

        public OpcionesViewModel()
        {
            this.ViewId = ViewName.OpcionesView;

            this.IsEnabledReconexionAutomatica = true;
            this.CancelCommand = new RelayCommand(OnCancel);
        }

        private void OnCancel(object param)
        {
            this.Stop();
        }
    }
}
