﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LiquidacionGastos.WebServiceRepositories
{
    public class AuthenticationWebServiceRepository : WebServiceRespository
    {
        private AuthenticationWebService.IAuthenticationService AuthenticationWebService { get; set; }

        public AuthenticationWebServiceRepository()
        {
        }

        protected override void OnInitialize()
        {
            this.AuthenticationWebService = new AuthenticationWebService.AuthenticationServiceClient();    
        }

        public bool AuthenticateUser(string identificador, string passwd)
        {
            return this.AuthenticationWebService.AuthenticateUser(identificador, passwd);
        }
    }
}
